## imx-gpu-viv-9t6 5.0.11.p4.5

=== debian/changelog ===
imx-gpu-viv-9t6 (5.0.11.p4.5-1) trusty; urgency=medium

  * Initial Boundary package
  * Release based on imx-gpu-viv-5.0.11.p4.5-hfp.bin and xserver-xorg-
    video-imx-viv-5.0.11.p4.5.tar.gz

 -- Laci Tele <laci@boundarydevices.com>  Fri, 17 Jul 2015 16:19:00 -0700
