=== debian/control ===
Source: imx-gpu-viv-9t6
Section: restricted/libs
Priority: extra
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), execstack, findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool
Standards-Version: 3.9.3
Homepage: http://www.boundarydevices.com/
#Vcs-Git: https://github.com/boundarydevices


Package: imx-gpu-viv-9t6-libs
Section: restricted/libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gpu-viv-bin-mx6q-libs
Replaces:  gpu-viv-bin-mx6q-libs
Description: GPU driver libraries for imx6


Package: imx-gpu-viv-9t6-dev
Section: restricted/libdevel
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gpu-viv-bin-mx6q-dev
Replaces:  gpu-viv-bin-mx6q-dev
Description: GPU driver developer files for imx6


Package: imx-gpu-viv-9t6-test
Section: restricted/devel
Architecture: armel armhf
Depends: libc6 (>= 2.15), libgcc1, libstdc++6, imx-gpu-viv-9t6-fb (>= 5.0.11) | imx-gpu-viv-9t6-x11 (>= 5.0.11) | imx-gpu-viv-9t6-wl (>= 5.0.11), imx-gpu-viv-9t6-libs (>= 5.0.11), imx-udev-fsl-rules
Conflicts: gpu-viv-bin-mx6q-test
Replaces:  gpu-viv-bin-mx6q-test
Description: GPU driver test programs for imx6


Package: imx-gpu-viv-9t6-fb
Section: restricted/libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, imx-gpu-viv-9t6-libs (>= 5.0.11)
Conflicts: imx-gpu-viv-9t6-x11, imx-gpu-viv-9t6-wl, imx-gpu-viv-9t6-dfb, gpu-viv-bin-mx6q-fb
Replaces:  imx-gpu-viv-9t6-x11, imx-gpu-viv-9t6-wl, imx-gpu-viv-9t6-dfb, gpu-viv-bin-mx6q-fb
Description: GPU driver libraries for imx6 for kernel framebuffer


Package: imx-gpu-viv-9t6-x11
Section: restricted/libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, imx-gpu-viv-9t6-libs (>= 5.0.11), imx-xserver-xorg-video-viv-9t6 (>= 5.0.11), xserver-xorg
# precise: xserver-xorg (>= 1:7.6+12ubuntu2)
# saucy: xserver-xorg (>= 1:7.7+1ubuntu6)
# trusty: xserver-xorg (>= 1:7.7+1ubuntu8)
Conflicts: imx-gpu-viv-9t6-fb, imx-gpu-viv-9t6-wl, imx-gpu-viv-9t6-dfb, gpu-viv-bin-mx6q-x11
Replaces:  imx-gpu-viv-9t6-fb, imx-gpu-viv-9t6-wl, imx-gpu-viv-9t6-dfb, gpu-viv-bin-mx6q-x11
Description: GPU driver libraries for imx6 for xorg server


Package: imx-gpu-viv-9t6-wl
Section: restricted/libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, imx-gpu-viv-9t6-libs (>= 5.0.11)
Conflicts: imx-gpu-viv-9t6-x11, imx-gpu-viv-9t6-fb, imx-gpu-viv-9t6-dfb, gpu-viv-bin-mx6q-wl
Replaces:  imx-gpu-viv-9t6-x11, imx-gpu-viv-9t6-fb, imx-gpu-viv-9t6-dfb, gpu-viv-bin-mx6q-wl
Description: GPU driver libraries for imx6 for wayland server


#Package: imx-gpu-viv-9t6-dfb
#Section: restricted/libs
#Architecture: armel armhf
#Depends: ${shlibs:Depends}, ${misc:Depends}, imx-gpu-viv-9t6-libs (>= 5.0.11)
#Conflicts: imx-gpu-viv-9t6-x11, imx-gpu-viv-9t6-wl, imx-gpu-viv-9t6-fb, gpu-viv-bin-mx6q-dfb
#Replaces:  imx-gpu-viv-9t6-x11, imx-gpu-viv-9t6-wl, imx-gpu-viv-9t6-fb, gpu-viv-bin-mx6q-dfb
#Description: GPU driver libraries for imx6 for direct framebuffer


Package: imx-xserver-xorg-video-viv-9t6
Section: restricted/libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, imx-xserver-xorg-extension-viv-9t6-hdmi (>= 5.0.11)
Conflicts: xserver-xorg-video-imx-viv
Replaces:  xserver-xorg-video-imx-viv
Description: Xorg server driver for imx6, vivante


Package: imx-xserver-xorg-extension-viv-9t6-hdmi
Section: restricted/libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xserver-xorg-extension-viv-hdmi
Replaces:  xserver-xorg-extension-viv-hdmi
Description: Freescale Xorg server driver extension for HDMI performance


Package: imx-udev-fsl-rules
Section: restricted/base
Architecture: armel armhf
Conflicts: udev-fsl-rules
Replaces:  udev-fsl-rules
Description: Freescale udev rules


Package: imx-gpu-viv-9t6-acc-fb
Section: restricted/metapackages
Architecture: armel armhf
Depends: imx-gpu-viv-9t6-fb (>= 5.0.11), imx-udev-fsl-rules
Conflicts: imx-gpu-viv-9t6-acc-x11, imx-gpu-viv-9t6-acc-wl, imx-gpu-viv-9t6-acc-dfb, gpu-viv-acc-fb
Replaces:  imx-gpu-viv-9t6-acc-x11, imx-gpu-viv-9t6-acc-wl, imx-gpu-viv-9t6-acc-dfb, gpu-viv-acc-fb
Description: GPU acceleration for imx6 for kernel framebuffer


Package: imx-gpu-viv-9t6-acc-x11
Section: restricted/metapackages
Architecture: armel armhf
Depends: imx-gpu-viv-9t6-x11 (>= 5.0.11), imx-udev-fsl-rules
Conflicts: imx-gpu-viv-9t6-acc-fb, imx-gpu-viv-9t6-acc-wl, imx-gpu-viv-9t6-acc-dfb, gpu-viv-acc-x11
Replaces:  imx-gpu-viv-9t6-acc-fb, imx-gpu-viv-9t6-acc-wl, imx-gpu-viv-9t6-acc-dfb, gpu-viv-acc-x11
Description: GPU acceleration for imx6 for xorg server


Package: imx-gpu-viv-9t6-acc-wl
Section: restricted/metapackages
Architecture: armel armhf
Depends: imx-gpu-viv-9t6-wl (>= 5.0.11), imx-udev-fsl-rules
Conflicts: imx-gpu-viv-9t6-acc-x11, imx-gpu-viv-9t6-acc-fb, imx-gpu-viv-9t6-acc-dfb, gpu-viv-acc-wl
Replaces:  imx-gpu-viv-9t6-acc-x11, imx-gpu-viv-9t6-acc-fb, imx-gpu-viv-9t6-acc-dfb, gpu-viv-acc-wl
Description: GPU acceleration for imx6 for wayland server


#Package: imx-gpu-viv-9t6-acc-dfb
#Section: restricted/metapackages
#Architecture: armel armhf
#Depends: imx-gpu-viv-9t6-dfb (>= 5.0.11), imx-udev-fsl-rules
#Conflicts: imx-gpu-viv-9t6-acc-x11, imx-gpu-viv-9t6-acc-wl, imx-gpu-viv-9t6-acc-fb, gpu-viv-acc-dfb
#Replaces:  imx-gpu-viv-9t6-acc-x11, imx-gpu-viv-9t6-acc-wl, imx-gpu-viv-9t6-acc-fb, gpu-viv-acc-dfb
#Description: GPU acceleration for imx6 for direct framebuffer
